.browsehappy {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

body {
  padding: 0;
}

.noscroll { position: fixed; overflow-y:scroll }

/* Everything but the jumbotron gets side spacing for mobile first views */
.header,
.marketing,
.footer {
  padding-left: 15px;
  padding-right: 15px;
}

/* Custom page header */
.header {
  border-bottom: 1px solid #e5e5e5;
  margin-bottom: 10px;
}
/* Make the masthead heading the same height as the navigation */
.header h3 {
  margin-top: 0;
  margin-bottom: 0;
  line-height: 40px;
  padding-bottom: 19px;
}

/* Custom page footer */
.footer {
  padding-top: 19px;
  color: #777;
  border-top: 1px solid #e5e5e5;
}

.container-narrow > hr {
  margin: 30px 0;
}

/* Main marketing message and sign up button */
.jumbotron {
  text-align: center;
  border-bottom: 1px solid #e5e5e5;
}
.jumbotron .btn {
  font-size: 21px;
  padding: 14px 24px;
}

/* Supporting marketing content */
.marketing {
  margin: 40px 0;
}
.marketing p + h4 {
  margin-top: 28px;
}

/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
  .container {
    max-width: 730px;
  }

  /* Remove the padding we set earlier */
  .header,
  .marketing,
  .footer {
    padding-left: 0;
    padding-right: 0;
  }
  /* Space out the masthead */
  .header {
    margin-bottom: 30px;
  }
  /* Remove the bottom border on the jumbotron for visual effect */
  .jumbotron {
    border-bottom: 0;
  }
}


/*dxDataGrid Styles*/

.dx-datagrid-search-panel{
  height: 40px;
}

.dx-edit-button, .dx-datagrid-export-button{
    height: 40px;
}

.dx-datagrid-rowsview{
    height: 350px;
}

#gridContainer {
    height: auto;
    width: 100%;
    padding-top: 45px;
}

#gridDeleteSelected {
    position: absolute;
    z-index: 1;
    right: 0;
    margin: 1px;
    top: 0;
}

.dx-datagrid-text-content{
  text-align: center;
  font-weight: bold;
}

.dx-tag-container div {
    float:left !important;
}

.dx-tag-container input {
  width: 150px !important;
  float: left !important;
}

.dx-datagrid-header-panel{
  overflow: visible !important;
}
/*
.dx-field-value{
  width: 100% !important;
}
*/
/* End dxDataGridStyles */

.botonesCofigRegional{
    margin-top: 15px;
}

/*Estilos para rotaryMenu*/
.rotaryHover{
}

/*Fin estilos para rotaryMenu*/

/*Estilos para dx-placeholder*/

.dx-placeholder{
  top: -5px !important;
}

.dx-dropdownlist-popup-wrapper, .dx-overlay-wrapper{
  z-index: 1100 !important;
}

/*Estilos Párámetros contables de empresa*/

.displayNone{
  display: none;
}

/* Estilos para opciones Ver editar y eliminar de grillas*/
.DetalleGrillas {
  width:100%;
  height:25px;
  text-align: center;

}
.DetalleGrillas .IconoSecundario {
  display:none;
}
.DetalleGrillas:hover .IconoInicial {
  display:none;
}

.DetalleGrillas:hover .IconoSecundario {
   display:inline;
}
.DetalleGrillas a {
    display: inline-block;
    width: 28px;
    height: 28px;
    /*margin: 0 2px;*/
    color:transparent;
    background-position: top;

}
.DetalleGrillas a:hover {
    background-position: bottom;
}

.DetalleGrillas .IconoEditar {
  background-image: url("../images/ImgEditar.png");
  background-size: 28px;
}

.DetalleGrillas .IconoVer {
  background-image: url("../images/ImgVer.png");
  background-size: 28px;

}
.DetalleGrillas .IconoEliminar {
  background-image: url("../images/ImgEliminar.png");
  background-size: 28px;
}

.DetalleGrillas .IconoVerMas {
  background-image: url("../images/ImgVerMas.png");

}

.DetalleGrillas .IconoTrazabilidad {
  background-image: url("../images/ImgTrazabilidad.png");

}

/* Fin estilos opciones de grillas*/

/*Estilos para celdas no editables*/
.withNoCC{
  color: #C10000;
  cursor: not-allowed;
}
/*Fin estilos celds no editables*/

/* Estilos para datepicker de devExpress*/
.myDxDatePicker .dx-field-value{
  width: 100% !important;
}

/* Estilos para datepicker de devExpress*/
.myDxAutocomplete .dx-field-value{
  width: 100% !important;
  margin-bottom: 10px;
}

.myDxTagBox .dx-field-value{
  width: 100% !important;
}


/* Estilos pop-ups Contabilidad*/
.CDModalContabilidad{
    width: 400px!important;
}
.CDModalContabilidad  .btnGuardarCancelarPopup {
    text-align: center;
    margin-top: 28px;
}

.optionsModalAsiento{
  height: 350px !important;
}

/* Fin Estilos pop-ups Contabilidad*/

/* Estilos para códigos de barras */
.invalidBarCode{
    display: none;
    color: #DE0000;
    margin-top: 10px;
    font-size: 14pt;
    vertical-align: middle;
}

/*Estilos para radios de opciones en grillas*/

.radio2CasosGrilla > .dx-field-value, .dx-field-value-static{
  float: left !important;
}

/*Estilos para hover de impuestos en grillas de movimientos de inventarios*/

.ContentHover {
  position: absolute;
  z-index: 100;
  background: rgba(030, 030, 030, 0.9);
  left:100px;
  top:100px;
  border-radius:8px;
  padding: 10px;
  display: none;
}

.TablaImpuesto {
  width:100%;
  border:none;
}

.TablaImpuesto tbody{
  border:none !important;
  background-color: transparent !important;
}

.TablaImpuesto tbody tr{
  border:none !important;
  background-color: transparent !important;
}


.TablaImpuesto tr td{
  color:#ffffff;
  border:none;
  border-bottom:1px solid #ffffff;
  padding-bottom: 5px;
  padding-top: 5px;
}

.cf-sortable-li {
  border: 1px solid #c5c5c5;
  margin: 3px;
  padding: 5px;
}

.cf-sortable {
  height: 300px;
  list-style: outside none none;
  overflow: auto;
}

.cf-sortable2 {
  /*height: 300px;*/
  list-style: outside none none;
  overflow: auto;
}


.blockedButton{
  cursor: not-allowed !important;
}

.nextTab{
  float: right;
  background: transparent !important;
  color: #4693b2 !important;
  font-weight: 700;
  text-decoration: underline;
}

.LineaModal{
  float: left;
  background: transparent !important;
  color: #4693b2 !important;
  font-weight: 700;
  text-decoration: underline;
}

.modalLineas{
  height: 400px;
}
